Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016100
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementminoralways2011-03-02 10:482011-05-12 13:27
ReporterxabiermerinoView Statuspublic 
Assigned ToAinhoaPagola 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision585692ac6142
ProjectionnoneETAnoneTarget Version2.50MP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP26SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016100: 'Vendor Invoice Report' and 'Invoice Detail' don't show financial invoice

Description'Vendor Invoice Report' and 'Invoice Detail' don't show financial invoices.

The problem is that the query makes an union with m_product by 'm_product_id' and Financial invoices have no m_product_id
Steps To Reproduce- As openbravo Admin create a new invoice with hammer as product (date: 03-03-2011)
- Complete it
- Go to 'Vendor Invoice Report' and 'Invoice Detail' and realize that the invoice appears.
- Go back to the invoice.
- Reactivate it
- Go to lines
- Delete the product
- Check 'Financial Invoice Line'
- Select a G/L item
- save, complete
- Go to 'Vendor Invoice Report' and 'Invoice Detail' and realize that the invoice does not appear.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00167742.50MP29 closedAinhoaPagola 'Vendor Invoice Report' and 'Invoice Detail' don't show financial invoice 

-  Notes
(0036153)
hgbot (developer)
2011-04-28 11:33

Repository: erp/devel/pi
Changeset: 585692ac614281c4b1c74f8c9a094a41dbb37fda
Author: Ainhoa Pagola <ainhoa.pagola <at> openbravo.com>
Date: Wed Apr 27 17:24:50 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/585692ac614281c4b1c74f8c9a094a41dbb37fda [^]

Fixes issue 16100. Financial invoices showed in Reports

---
M src-db/database/model/views/C_INVOICELINE_V2.xml
M src/org/openbravo/erpCommon/ad_reports/InvoiceEdition_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoicesEditJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoices_data.xsql
---
(0036250)
xabiermerino (developer)
2011-05-02 12:02

verified
(0036780)
hudsonbot (developer)
2011-05-12 13:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-03-02 10:48 xabiermerino New Issue
2011-03-02 10:48 xabiermerino Assigned To => adrianromero
2011-03-02 10:48 xabiermerino Modules => Core
2011-03-02 11:19 xabiermerino Issue Monitored: networkb
2011-03-09 17:15 jonalegriaesarte Target Version 2.50MP28 => 2.50MP29
2011-04-11 13:54 AinhoaPagola Assigned To adrianromero => AinhoaPagola
2011-04-12 16:50 AinhoaPagola Status new => scheduled
2011-04-12 16:50 AinhoaPagola fix_in_branch => pi
2011-04-28 11:33 hgbot Checkin
2011-04-28 11:33 hgbot Note Added: 0036153
2011-04-28 11:33 hgbot Status scheduled => resolved
2011-04-28 11:33 hgbot Resolution open => fixed
2011-04-28 11:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/585692ac614281c4b1c74f8c9a094a41dbb37fda [^]
2011-05-02 12:02 xabiermerino Note Added: 0036250
2011-05-02 12:02 xabiermerino Status resolved => closed
2011-05-03 00:02 anonymous sf_bug_id 0 => 3296512
2011-05-12 13:27 hudsonbot Checkin
2011-05-12 13:27 hudsonbot Note Added: 0036780


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker